org.apache.xerces.xs

## Interface XSFacet

- All Superinterfaces:
    XSObject

      public interface XSFacet
      extends XSObject

  Describes a constraining facet. Enumeration and pattern facets are exposed via `XSMultiValueFacet` interface.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getActualFacetValue()` If this facet is minInclusive, maxInclusive, minExclusive, or maxExclusive, then return the actual value of the facet.
    `XSAnnotation` | `getAnnotation()` An annotation if it exists, otherwise `null`.
    `XSObjectList` | `getAnnotations()` A sequence of [annotations] or an empty `XSObjectList`.
    `short` | `getFacetKind()` The name of the facet, e.g.
    `boolean` | `getFixed()` [Facets]: check whether a facet is fixed.
    `int` | `getIntFacetValue()` If this facet is length, minLength, maxLength, totalDigits, fractionDigits, minScale, or maxScale, and if the value can fit in "int", then return the value of the facet as an int.
    `java.lang.String` | `getLexicalFacetValue()` A value of this facet.

    - ### Methods inherited from interface org.apache.xerces.xs.XSObject

      `getName, getNamespace, getNamespaceItem, getType`

- - ### Method Detail

    - #### getFacetKind

          short getFacetKind()

      The name of the facet, e.g. `FACET_LENGTH, FACET_TOTALDIGITS` (see `XSSimpleTypeDefinition`).

    - #### getLexicalFacetValue

          java.lang.String getLexicalFacetValue()

      A value of this facet.

    - #### getIntFacetValue

          int getIntFacetValue()

      If this facet is length, minLength, maxLength, totalDigits, fractionDigits, minScale, or maxScale, and if the value can fit in "int", then return the value of the facet as an int. If the value can't fit, return -1. Use getActualFacetValue() to get the BigInteger representation. For all other facets, return 0.

    - #### getActualFacetValue

          java.lang.Object getActualFacetValue()

      If this facet is minInclusive, maxInclusive, minExclusive, or maxExclusive, then return the actual value of the facet. If this facet is length, minLength, maxLength, totalDigits, fractionDigits, minScale, or maxScale, then return a BigInteger representation of the value. If this facet is whiteSpace or explicitTimezone, then return the String representation of the facet.

    - #### getFixed

          boolean getFixed()

      [Facets]: check whether a facet is fixed.

    - #### getAnnotation

          XSAnnotation getAnnotation()

      An annotation if it exists, otherwise `null`. If not null then the first [annotation] from the sequence of annotations.

    - #### getAnnotations

          XSObjectList getAnnotations()

      A sequence of [annotations] or an empty `XSObjectList`.

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.